We’ve refreshed our API documentation with a brand-new look and feel. Don’t worry, everything you rely on is still there. The content hasn’t changed; it’s just had a makeover to make it cleaner, clearer, and easier to navigate.
curl --request PUT \
--url https://api.kinsta.com/v2/sites/tools/modify-php-version \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"environment_id": "54fb80af-576c-4fdc-ba4f-b596c83f15a1",
"php_version": "8.1",
"is_opt_out_from_automatic_php_update": false
}
'{
"operation_id": "php:modify-version-54fb80af-576c-4fdc-ba4f-b596c83f15a1",
"message": "Modifying PHP version in progress",
"status": 202
}curl --request PUT \
--url https://api.kinsta.com/v2/sites/tools/modify-php-version \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"environment_id": "54fb80af-576c-4fdc-ba4f-b596c83f15a1",
"php_version": "8.1",
"is_opt_out_from_automatic_php_update": false
}
'{
"operation_id": "php:modify-version-54fb80af-576c-4fdc-ba4f-b596c83f15a1",
"message": "Modifying PHP version in progress",
"status": 202
}Documentation Index
Fetch the complete documentation index at: https://api-docs.kinsta.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.